org.apache.sysds.runtime.iogen

## Class FrameGenerateReader.FrameReaderRowIrregular

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReader
  - - org.apache.sysds.runtime.iogen.FrameGenerateReader
    - - org.apache.sysds.runtime.iogen.FrameGenerateReader.FrameReaderRowIrregular

Enclosing class:
  FrameGenerateReader

    public static class FrameGenerateReader.FrameReaderRowIrregular
    extends FrameGenerateReader

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.iogen.FrameGenerateReader

`FrameGenerateReader.FrameReaderRowIrregular, FrameGenerateReader.FrameReaderRowRegularColIrregular, FrameGenerateReader.FrameReaderRowRegularColRegular`

### Constructor Summary

Constructors
Constructor and Description
`FrameReaderRowIrregular(CustomProperties _props)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.iogen.FrameGenerateReader

`readFrameFromHDFS, readFrameFromInputStream`

### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

`getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameReaderRowIrregular

    public FrameReaderRowIrregular(CustomProperties _props)